## Setting Hostpot di MikroTik

### Langkah 1 : Konfigurasi IP LAN di MikroTik

Untuk memastikan LAN memiliki IP dan ini akan memjadi gateway dari client hotspot.<br>
`/ip address add address=192.168.88.1/24 interface=ether2`
<br>

Untuk melihat dan memastikan bahwa ip sudah dibuat, gunakan perintah :<br>
`/ip address print`

### Langkah 2 : Konfigurasi DNS di MikroTik

Pada langkah ini saya mengatur DNS akan diatur dari Mikrotik menggunakan perintah ini :
<br>
`/ip dns set allow-remote-requests=yes servers=8.8.8.8,8.8.4.4`

Untuk melihat dan memastikan bahwa dns sudah dibuat, gunakan perintah :<br>
`/ip dns print`

### Langkah 3 : Konfigurasi NAT (masquerade) untuk akses internet

saya atur Client hotspot mendapatkan akses internet melalui MikroTik dengan perintah ini:<br>
`/ip firewall nat add chain=srcnat action=masquerade out-interface=ether1` <br>
Command ini mengimplementasikan Source Network Address Traslation (SNAT) dengan metode `masquerade` pada antar muka WAN yaitu `ether1`. Fungsi utamanya untuk mengabstraksi/mengganti IP private jaringan local menjadi IP publik router saat berkomunikasi dengan jaringan eksternal.

Topology : <br>
client => MikroTik (ether2 => ether1[NAT])

### Langkah 4 : Jalankan Setup Hotspot di Mikrotik

`/ip hotspot setup`

> [!NOTE]
> Akan ada penginputan setelah mengetikan command ini. <br> > `hotspot interface: ether2` # mengatur ether2 sebagai LAN hotspot <br> > `local address of network: 192.168.88.1/24` <br> > `masquerade network: yes` # memfungsikan NAT sebagai hotspot<br> > `address pool of network: 192.168.88.2-192.168.88.254` <br> > `select sertificate: none` <br> > `ip of smtp server: 0.0.0.0` <br> > `dns server: 8.8.8.8,8.8.4.4` <br> > `home of local hotspot host: hotspot.lan` # (hotspot.lan) bisa diganti dengan nama yang di inginkan <br> > `name of local hotspot user: ` # kosongi aja <br>

### Langkah 5 : Konfigurasi RADIUS di MikroTik (setelah hotspot dibuat)

**1. Tambahkan Radius Server** <br>
   Hubungkan hotspot ke Radius server dengan command ini: <br>
   `/radius add service=hotspot address=192.168.88.10 secret=testing123`

> [!NOTE]
> Pastikan `address=...` samakan dengan IP FreeRADIUS server yaitu `192.168.88.10` <br>
> Pastikan juga `secret=...` sama persis dengan `secret` yang ada di configurasi `/etc/freeradius/3.0/clients.conf` di FreeRADIUS server ubuntu.

**2. Aktifkan Penggunaan Radius Server di Profil Hotspot** <br>
   `/ip hotspot profile set hsprof1 use-radius=yes` <br>

> [!NOTE]
> Jika tidak tau nama profile hotspot, bisa dilihat dengan command `/ip hotspot profile print` 
